diff --git a/changelog b/changelog
index 26d39fa..d3ccbf9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20080414 tpd src/input/Makefile add integration regression testing	
+20080414 tpd src/input/schaum34.input integrals of csch(ax)
+20080414 tpd src/input/schaum33.input integrals of csch(ax)
+20080414 tpd src/input/schaum32.input integrals of sech(ax)
+20080414 tpd src/input/schaum31.input integrals of coth(ax)
 20080413 tpd src/input/Makefile add integration regression testing	
 20080413 tpd src/input/schaum30.input integrals of tanh(ax)
 20080413 tpd src/input/schaum29.input integrals of sinh(ax) and cosh(ax)
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 57ff1e9..fdf2fff 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -362,7 +362,8 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     schaum17.regress  schaum18.regress schaum19.regress schaum20.regress \
     schaum21.regress  schaum22.regress schaum23.regress schaum24.regress \
     schaum25.regress  schaum26.regress schaum27.regress schaum28.regress \
-    schaum29.regress  schaum30.regress \
+    schaum29.regress  schaum30.regress schaum31.regress schaum32.regress \
+    schaum33.regress  schaum34.regress \
     scherk.regress    scope.regress    seccsc.regress \
     segbind.regress   seg.regress \
     series2.regress   series.regress   sersolve.regress set.regress \
@@ -644,7 +645,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/schaum20.input ${OUT}/schaum21.input   ${OUT}/schaum22.input \
        ${OUT}/schaum23.input ${OUT}/schaum24.input   ${OUT}/schaum25.input \
        ${OUT}/schaum26.input ${OUT}/schaum27.input   ${OUT}/schaum28.input \
-       ${OUT}/schaum29.input ${OUT}/schaum30.input \
+       ${OUT}/schaum29.input ${OUT}/schaum30.input   ${OUT}/schaum31.input \
+       ${OUT}/schaum32.input ${OUT}/schaum33.input   ${OUT}/schaum34.input \
        ${OUT}/saddle.input \
        ${OUT}/scherk.input   ${OUT}/scope.input      ${OUT}/seccsc.input \
        ${OUT}/segbind.input  ${OUT}/seg.input        ${OUT}/series2.input \
@@ -958,6 +960,8 @@ DOCFILES= \
   ${DOC}/schaum25.input.dvi    ${DOC}/schaum26.input.dvi \
   ${DOC}/schaum27.input.dvi    ${DOC}/schaum28.input.dvi \
   ${DOC}/schaum29.input.dvi    ${DOC}/schaum30.input.dvi \
+  ${DOC}/schaum31.input.dvi    ${DOC}/schaum32.input.dvi \
+  ${DOC}/schaum33.input.dvi    ${DOC}/schaum34.input.dvi \
   ${DOC}/s01eaf.input.dvi      ${DOC}/s13aaf.input.dvi     \
   ${DOC}/s13acf.input.dvi      ${DOC}/s13adf.input.dvi     \
   ${DOC}/s14aaf.input.dvi      ${DOC}/s14abf.input.dvi     \
diff --git a/src/input/schaum31.input.pamphlet b/src/input/schaum31.input.pamphlet
new file mode 100644
index 0000000..3e81bf2
--- /dev/null
+++ b/src/input/schaum31.input.pamphlet
@@ -0,0 +1,286 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum31.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.615~~~~~$\displaystyle
+\int{\coth{ax}}~dx$}
+$$\int{\coth{ax}}=
+\frac{1}{a}\ln\sinh{ax}
+$$
+<<*>>=
+)spool schaum31.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 11
+aa:=integrate(coth(a*x),x)
+--R 
+--R
+--R                    2sinh(a x)
+--R        log(- ---------------------) - a x
+--R              sinh(a x) - cosh(a x)
+--R   (1)  ----------------------------------
+--R                         a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.616~~~~~$\displaystyle
+\int{\coth^2{ax}}~dx$}
+$$\int{\coth^2{ax}}=
+x-\frac{\coth{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 11
+aa:=integrate(coth(a*x)^2,x)
+--R 
+--R
+--R        (a x + 1)sinh(a x) - cosh(a x)
+--R   (1)  ------------------------------
+--R                  a sinh(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.617~~~~~$\displaystyle
+\int{\coth^3{ax}}~dx$}
+$$\int{\coth^3{ax}}=
+\frac{1}{a}\ln\sinh{ax}-\frac{\coth^2{ax}}{2a}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 11
+aa:=integrate(coth(a*x)^3,x)
+--R 
+--R
+--R   (1)
+--R                    4                      3              2              2
+--R           sinh(a x)  + 4cosh(a x)sinh(a x)  + (6cosh(a x)  - 2)sinh(a x)
+--R         + 
+--R                      3                                   4             2
+--R           (4cosh(a x)  - 4cosh(a x))sinh(a x) + cosh(a x)  - 2cosh(a x)  + 1
+--R      *
+--R                     2sinh(a x)
+--R         log(- ---------------------)
+--R               sinh(a x) - cosh(a x)
+--R     + 
+--R                      4                          3
+--R       - a x sinh(a x)  - 4a x cosh(a x)sinh(a x)
+--R     + 
+--R                        2                     2
+--R       (- 6a x cosh(a x)  + 2a x - 2)sinh(a x)
+--R     + 
+--R                        3                                                4
+--R       (- 4a x cosh(a x)  + (4a x - 4)cosh(a x))sinh(a x) - a x cosh(a x)
+--R     + 
+--R                          2
+--R       (2a x - 2)cosh(a x)  - a x
+--R  /
+--R                  4                        3                2               2
+--R       a sinh(a x)  + 4a cosh(a x)sinh(a x)  + (6a cosh(a x)  - 2a)sinh(a x)
+--R     + 
+--R                  3                                       4               2
+--R     (4a cosh(a x)  - 4a cosh(a x))sinh(a x) + a cosh(a x)  - 2a cosh(a x)  + a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.618~~~~~$\displaystyle
+\int{\coth^n{ax}{{\rm ~csch}^2{ax}}}~dx$}
+$$\int{\coth^n{ax}{{\rm ~csch}^2{ax}}}=
+-\frac{\coth^{n+1}{ax}}{(n+1)a}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 11
+aa:=integrate(coth(a*x)^n*csch(a*x)^2,x)
+--R 
+--R
+--R                              cosh(a x)                         cosh(a x)
+--R        - cosh(a x)sinh(n log(---------)) - cosh(a x)cosh(n log(---------))
+--R                              sinh(a x)                         sinh(a x)
+--R   (1)  -------------------------------------------------------------------
+--R                                 (a n + a)sinh(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.619~~~~~$\displaystyle
+\int{\frac{{\rm csch}^2{ax}}{\coth{ax}}}~dx$}
+$$\int{\frac{{\rm csch}^2{ax}}{\coth{ax}}}=
+-\frac{1}{a}\ln\coth{ax}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 11
+aa:=integrate(csch(a*x)^2/coth(a*x),x)
+--R 
+--R
+--R                      2cosh(a x)                     2sinh(a x)
+--R        - log(- ---------------------) + log(- ---------------------)
+--R                sinh(a x) - cosh(a x)          sinh(a x) - cosh(a x)
+--R   (1)  -------------------------------------------------------------
+--R                                      a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.620~~~~~$\displaystyle
+\int{\frac{dx}{\coth{ax}}}~dx$}
+$$\int{\frac{1}{\coth{ax}}}=
+\frac{1}{a}\ln\cosh{ax}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 11
+aa:=integrate(1/coth(a*x),x)
+--R 
+--R
+--R                    2cosh(a x)
+--R        log(- ---------------------) - a x
+--R              sinh(a x) - cosh(a x)
+--R   (1)  ----------------------------------
+--R                         a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.621~~~~~$\displaystyle
+\int{x\coth{ax}}~dx$}
+$$\int{x\coth{ax}}=
+\frac{1}{a^2}\left\{
+ax+\frac{(ax)^3}{9}-\frac{(ax)^5}{225}+\cdots
+\frac{(-1)^{n-1}2^{2n}B_n(ax)^{2n+1}}{(2n+1)!}+\cdots\right\}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 11
+aa:=integrate(x*coth(a*x),x)
+--R 
+--R
+--R           x
+--R         ++
+--I   (1)   |   %O coth(%O a)d%O
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.622~~~~~$\displaystyle
+\int{x\coth^2{ax}}~dx$}
+$$\int{x\coth^2{ax}}=
+\frac{x^2}{2}-\frac{x\coth{ax}}{a}+\frac{1}{a^2}\ln\sinh{ax}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 11
+aa:=integrate(x*coth(a*x)^2,x)
+--R 
+--R
+--R   (1)
+--R                    2                                   2
+--R         (2sinh(a x)  + 4cosh(a x)sinh(a x) + 2cosh(a x)  - 2)
+--R      *
+--R                     2sinh(a x)
+--R         log(- ---------------------)
+--R               sinh(a x) - cosh(a x)
+--R     + 
+--R         2 2                 2      2 2
+--R       (a x  - 4a x)sinh(a x)  + (2a x  - 8a x)cosh(a x)sinh(a x)
+--R     + 
+--R         2 2                 2    2 2
+--R       (a x  - 4a x)cosh(a x)  - a x
+--R  /
+--R       2         2     2                       2         2     2
+--R     2a sinh(a x)  + 4a cosh(a x)sinh(a x) + 2a cosh(a x)  - 2a
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.623~~~~~$\displaystyle
+\int{\frac{\coth{ax}}{x}}~dx$}
+$$\int{\frac{\coth{ax}}{x}}=
+-\frac{1}{ax}+\frac{(ax)}{3}-\frac{(ax)^3}{135}+\cdots
+\frac{(-1)^{n}2^{2n}B_n(ax)^{2n-1}}{(2n-1)(2n)!}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 9 of 11
+aa:=integrate(coth(a*x)/x,x)
+--R 
+--R
+--R           x
+--I         ++  coth(%O a)
+--I   (1)   |   ---------- d%O
+--I        ++       %O
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.624~~~~~$\displaystyle
+\int{\frac{dx}{p+q\coth{ax}}}~dx$}
+$$\int{\frac{1}{p+q\coth{ax}}}=
+\frac{px}{p^2-q^2}-\frac{q}{a(p^2-q^2)}\ln(p\sinh{ax}+q\cosh{ax})
+$$
+<<*>>=
+)clear all
+
+--S 10 of 11
+aa:=integrate(1/(p+q*coth(a*x)),x)
+--R 
+--R
+--R              - 2p sinh(a x) - 2q cosh(a x)
+--R        q log(-----------------------------) + (- a q - a p)x
+--R                  sinh(a x) - cosh(a x)
+--R   (1)  -----------------------------------------------------
+--R                                2      2
+--R                             a q  - a p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.625~~~~~$\displaystyle
+\int{\coth^n{ax}}~dx$}
+$$\int{\coth^n{ax}}=
+-\frac{\coth^{n-1}{ax}}{a(n-1)}+\int{\coth^{n-1}{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 11 of 11
+aa:=integrate(coth(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++            n
+--I   (1)   |   coth(%O a) d%O
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp90-91
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum32.input.pamphlet b/src/input/schaum32.input.pamphlet
new file mode 100644
index 0000000..085ddf0
--- /dev/null
+++ b/src/input/schaum32.input.pamphlet
@@ -0,0 +1,294 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum32.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.626~~~~~$\displaystyle
+\int{{\rm sech~}{ax}}~dx$}
+$$\int{{\rm sech~}{ax}}=
+\frac{2}{a}\tanh^{-1}{e^{ax}}
+$$
+<<*>>=
+)spool schaum32.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 10
+aa:=integrate(sech(a*x),x)
+--R 
+--R
+--R        2atan(sinh(a x) + cosh(a x))
+--R   (1)  ----------------------------
+--R                      a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.627~~~~~$\displaystyle
+\int{{\rm sech}^2~{ax}}~dx$}
+$$\int{{\rm sech}^2~{ax}}=
+\frac{\tanh{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 10
+aa:=integrate(sech(a*x)^2,x)
+--R 
+--R
+--R                                     2
+--R   (1)  - -------------------------------------------------------
+--R                     2                                      2
+--R          a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.628~~~~~$\displaystyle
+\int{{\rm sech}^3~{ax}}~dx$}
+$$\int{{\rm sech}^3~{ax}}=
+\frac{{\rm sech}~{ax}~\tanh{ax}}{2a}+\frac{1}{2a}\tan^{-1}{\rm ~sech~}{ax}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 10
+aa:=integrate(sech(a*x)^3,x)
+--R 
+--R
+--R   (1)
+--R                    4                      3              2              2
+--R           sinh(a x)  + 4cosh(a x)sinh(a x)  + (6cosh(a x)  + 2)sinh(a x)
+--R         + 
+--R                      3                                   4             2
+--R           (4cosh(a x)  + 4cosh(a x))sinh(a x) + cosh(a x)  + 2cosh(a x)  + 1
+--R      *
+--R         atan(sinh(a x) + cosh(a x))
+--R     + 
+--R                3                      2              2
+--R       sinh(a x)  + 3cosh(a x)sinh(a x)  + (3cosh(a x)  - 1)sinh(a x)
+--R     + 
+--R                3
+--R       cosh(a x)  - cosh(a x)
+--R  /
+--R                  4                        3                2               2
+--R       a sinh(a x)  + 4a cosh(a x)sinh(a x)  + (6a cosh(a x)  + 2a)sinh(a x)
+--R     + 
+--R                  3                                       4               2
+--R     (4a cosh(a x)  + 4a cosh(a x))sinh(a x) + a cosh(a x)  + 2a cosh(a x)  + a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.629~~~~~$\displaystyle
+\int{{\rm sech}^n~{ax}~{\tanh{ax}}}~dx$}
+$$\int{{\rm sech~}^n{ax}~{\tanh{ax}}}=
+-\frac{{\rm sech~}^{n}{ax}}{na}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 10
+aa:=integrate(sech(a*x)^n*tanh(a*x),x)
+--R 
+--R
+--R   (1)
+--R                                 2sinh(a x) + 2cosh(a x)
+--R       - sinh(n log(-------------------------------------------------))
+--R                             2                                  2
+--R                    sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1
+--R     + 
+--R                                 2sinh(a x) + 2cosh(a x)
+--R       - cosh(n log(-------------------------------------------------))
+--R                             2                                  2
+--R                    sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1
+--R  /
+--R     a n
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.630~~~~~$\displaystyle
+\int{\frac{dx}{{\rm sech~}{ax}}}~dx$}
+$$\int{\frac{1}{{\rm sech~}{ax}}}=
+\frac{{\rm sech}~{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 10
+aa:=integrate(1/sech(a*x),x)
+--R 
+--R
+--R        sinh(a x)
+--R   (1)  ---------
+--R            a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.631~~~~~$\displaystyle
+\int{x{\rm ~sech~}{ax}}~dx$}
+$$\int{x{\rm ~sech~}{ax}}=
+\frac{1}{a^2}\left\{
+\frac{(ax)^2}{2}-\frac{(ax)^4}{8}+\frac{5(ax)^6}{144}+\cdots
+\frac{(-1)^{n}E_n(ax)^{2n+2}}{(2n+2)(2n)!}+\cdots\right\}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 10
+aa:=integrate(x*sech(a*x),x)
+--R 
+--R
+--R           x
+--R         ++
+--I   (1)   |   %O sech(%O a)d%O
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.632~~~~~$\displaystyle
+\int{x~{\rm sech}^2~{ax}}~dx$}
+$$\int{x~{\rm sech}^2~{ax}}=
+\frac{x\tanh{ax}}{a}-\frac{1}{a^2}\ln\cosh{ax}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 10
+aa:=integrate(x*sech(a*x)^2,x)
+--R 
+--R
+--R   (1)
+--R                     2                                  2
+--R         (- sinh(a x)  - 2cosh(a x)sinh(a x) - cosh(a x)  - 1)
+--R      *
+--R                     2cosh(a x)
+--R         log(- ---------------------)
+--R               sinh(a x) - cosh(a x)
+--R     + 
+--R                     2                                           2
+--R       2a x sinh(a x)  + 4a x cosh(a x)sinh(a x) + 2a x cosh(a x)
+--R  /
+--R      2         2     2                      2         2    2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.633~~~~~$\displaystyle
+\int{\frac{{\rm sech~}{ax}}{x}}~dx$}
+$$\int{\frac{{\rm sech~}{ax}}{x}}=
+\ln{x}-\frac{(ax)^2}{4}+\frac{5(ax)^4}{96}-\frac{61(ax)^6}{4320}+\cdots
+\frac{(-1)^{n}E_n(ax)^{2n}}{2n(2n)!}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 8 of 10
+aa:=integrate(sech(a*x)/x,x)
+--R 
+--R
+--R           x
+--I         ++  sech(%O a)
+--I   (1)   |   ---------- d%O
+--I        ++       %O
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.634~~~~~$\displaystyle
+\int{\frac{dx}{q+p{\rm ~sech~}{ax}}}~dx$}
+$$\int{\frac{1}{q+p{\rm ~sech~}{ax}}}=
+\frac{x}{q}-\frac{p}{q}\int{\frac{dx}{p+q\cosh{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 10
+aa:=integrate(1/(q+p*sech(a*x)),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R           p
+--R        *
+--R           log
+--R                       2         2      2
+--R                      q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x)
+--R                    + 
+--R                       2         2                     2     2
+--R                      q cosh(a x)  + 2p q cosh(a x) - q  + 2p
+--R                 *
+--R                     +---------+
+--R                     |   2    2
+--R                    \|- q  + p
+--R                + 
+--R                     3     2                   3     2                  2     3
+--R                (- 2q  + 2p q)sinh(a x) + (- 2q  + 2p q)cosh(a x) - 2p q  + 2p
+--R             /
+--R                             2                                             2
+--R                  q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R                + 
+--R                  2p cosh(a x) + q
+--R       + 
+--R             +---------+
+--R             |   2    2
+--R         a x\|- q  + p
+--R    /
+--R           +---------+
+--R           |   2    2
+--R       a q\|- q  + p
+--R     ,
+--R                                              +-------+
+--R                                              | 2    2         +-------+
+--R              (q sinh(a x) + q cosh(a x) + p)\|q  - p          | 2    2
+--R    - 2p atan(-----------------------------------------) + a x\|q  - p
+--R                                2    2
+--R                               q  - p
+--R    --------------------------------------------------------------------]
+--R                                    +-------+
+--R                                    | 2    2
+--R                                a q\|q  - p
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.635~~~~~$\displaystyle
+\int{{\rm sech}^n~{ax}}~dx$}
+$$\int{{\rm sech}^n~{ax}}=
+\frac{{\rm sech}^{n-2}~{ax}~\tanh{ax}}{a(n-1)}
++\frac{n-2}{n-1}\int{{\rm sech}^{n-2}~{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 10
+aa:=integrate(sech(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++            n
+--I   (1)   |   sech(%O a) d%O
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 p91
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum33.input.pamphlet b/src/input/schaum33.input.pamphlet
new file mode 100644
index 0000000..c5ee6a2
--- /dev/null
+++ b/src/input/schaum33.input.pamphlet
@@ -0,0 +1,292 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum33.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.636~~~~~$\displaystyle
+\int{{\rm csch~}{ax}}~dx$}
+$$\int{{\rm csch~}{ax}}=
+\frac{1}{a}\ln\tanh{\frac{ax}{2}}
+$$
+<<*>>=
+)spool schaum33.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 10
+aa:=integrate(csch(a*x),x)
+--R 
+--R
+--R        - log(sinh(a x) + cosh(a x) + 1) + log(sinh(a x) + cosh(a x) - 1)
+--R   (1)  -----------------------------------------------------------------
+--R                                        a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.637~~~~~$\displaystyle
+\int{{\rm csch}^2~{ax}}~dx$}
+$$\int{{\rm csch}^2~{ax}}=
+-\frac{\coth{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 10
+aa:=integrate(csch(a*x)^2,x)
+--R 
+--R
+--R                                     2
+--R   (1)  - -------------------------------------------------------
+--R                     2                                      2
+--R          a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.638~~~~~$\displaystyle
+\int{{\rm csch}^3~{ax}}~dx$}
+$$\int{{\rm csch}^3~{ax}}=
+-\frac{{\rm csch~}{ax}\coth{ax}}{2a}-\frac{1}{2a}\ln\tanh\frac{ax}{2}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 10
+aa:=integrate(csch(a*x)^3,x)
+--R 
+--R
+--R   (1)
+--R                    4                      3              2              2
+--R           sinh(a x)  + 4cosh(a x)sinh(a x)  + (6cosh(a x)  - 2)sinh(a x)
+--R         + 
+--R                      3                                   4             2
+--R           (4cosh(a x)  - 4cosh(a x))sinh(a x) + cosh(a x)  - 2cosh(a x)  + 1
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                      4                      3                2              2
+--R           - sinh(a x)  - 4cosh(a x)sinh(a x)  + (- 6cosh(a x)  + 2)sinh(a x)
+--R         + 
+--R                        3                                   4             2
+--R           (- 4cosh(a x)  + 4cosh(a x))sinh(a x) - cosh(a x)  + 2cosh(a x)  - 1
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                   3                      2                2
+--R       - 2sinh(a x)  - 6cosh(a x)sinh(a x)  + (- 6cosh(a x)  - 2)sinh(a x)
+--R     + 
+--R                   3
+--R       - 2cosh(a x)  - 2cosh(a x)
+--R  /
+--R                   4                        3                 2               2
+--R       2a sinh(a x)  + 8a cosh(a x)sinh(a x)  + (12a cosh(a x)  - 4a)sinh(a x)
+--R     + 
+--R                    3                                        4               2
+--R       (8a cosh(a x)  - 8a cosh(a x))sinh(a x) + 2a cosh(a x)  - 4a cosh(a x)
+--R     + 
+--R       2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.639~~~~~$\displaystyle
+\int{{\rm csch}^n~{ax}~{\coth{ax}}}~dx$}
+$$\int{{\rm csch~}^n{ax}~{\coth{ax}}}=
+-\frac{{\rm csch~}^{n}{ax}}{na}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 10
+aa:=integrate(csch(a*x)^n*coth(a*x),x)
+--R 
+--R
+--R   (1)
+--R                                 2sinh(a x) + 2cosh(a x)
+--R       - sinh(n log(-------------------------------------------------))
+--R                             2                                  2
+--R                    sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  - 1
+--R     + 
+--R                                 2sinh(a x) + 2cosh(a x)
+--R       - cosh(n log(-------------------------------------------------))
+--R                             2                                  2
+--R                    sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  - 1
+--R  /
+--R     a n
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.640~~~~~$\displaystyle
+\int{\frac{dx}{{\rm csch~}{ax}}}~dx$}
+$$\int{\frac{1}{{\rm csch~}{ax}}}=
+\frac{1}{a}{\rm cosh}~{ax}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 10
+aa:=integrate(1/csch(a*x),x)
+--R 
+--R
+--R        cosh(a x)
+--R   (1)  ---------
+--R            a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.641~~~~~$\displaystyle
+\int{x{\rm ~csch~}{ax}}~dx$}
+$$\int{x{\rm ~csch~}{ax}}=
+\frac{1}{a^2}\left\{
+ax-\frac{(ax)^3}{18}+\frac{7(ax)^5}{1800}+\cdots+
+\frac{2(-1)^n(2^{2n-1}-1)B_n(ax)^{2n+1}}{(2n+1)!}+\cdots\right\}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 10
+aa:=integrate(x*csch(a*x),x)
+--R 
+--R
+--R           x
+--R         ++
+--I   (1)   |   %O csch(%O a)d%O
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.642~~~~~$\displaystyle
+\int{x~{\rm csch}^2~{ax}}~dx$}
+$$\int{x~{\rm csch}^2~{ax}}=
+-\frac{x\coth{ax}}{a}+\frac{1}{a^2}\ln\sinh{ax}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 10
+aa:=integrate(x*csch(a*x)^2,x)
+--R 
+--R
+--R   (1)
+--R                   2                                  2
+--R         (sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  - 1)
+--R      *
+--R                     2sinh(a x)
+--R         log(- ---------------------)
+--R               sinh(a x) - cosh(a x)
+--R     + 
+--R                       2                                           2
+--R       - 2a x sinh(a x)  - 4a x cosh(a x)sinh(a x) - 2a x cosh(a x)
+--R  /
+--R      2         2     2                      2         2    2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.643~~~~~$\displaystyle
+\int{\frac{{\rm csch~}{ax}}{x}}~dx$}
+$$\int{\frac{{\rm csch~}{ax}}{x}}=
+-\frac{1}{ax}-\frac{ax}{6}+\frac{7(ax)^3}{1080}+\cdots
+\frac{(-1)^n2(2^{2n-1}-1)B_n(ax)^{2n-1}}{(2n-1)(2n)!}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 8 of 10
+aa:=integrate(csch(a*x)/x,x)
+--R 
+--R
+--R           x
+--I         ++  csch(%O a)
+--I   (1)   |   ---------- d%O
+--I        ++       %O
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.644~~~~~$\displaystyle
+\int{\frac{dx}{q+p{\rm ~csch~}{ax}}}~dx$}
+$$\int{\frac{1}{q+p{\rm ~csch~}{ax}}}=
+\frac{x}{q}-\frac{p}{q}\int{\frac{dx}{p+q\sinh{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 10
+aa:=integrate(1/(q+p*csch(a*x)),x)
+--R 
+--R
+--R   (1)
+--R         p
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) + q  + 2p
+--R               *
+--R                   +-------+
+--R                   | 2    2
+--R                  \|q  + p
+--R              + 
+--R                   3     2                 3     2                  2     3
+--R                (2q  + 2p q)sinh(a x) + (2q  + 2p q)cosh(a x) + 2p q  + 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) - q
+--R     + 
+--R           +-------+
+--R           | 2    2
+--R       a x\|q  + p
+--R  /
+--R         +-------+
+--R         | 2    2
+--R     a q\|q  + p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.645~~~~~$\displaystyle
+\int{{\rm csch}^n~{ax}}~dx$}
+$$\int{{\rm csch}^n~{ax}}=
+\frac{-{\rm csch}^{n-2}~{ax}~\coth{ax}}{a(n-1)}
+-\frac{n-2}{n-1}\int{{\rm csch}^{n-2}~{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 10
+aa:=integrate(csch(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++            n
+--I   (1)   |   csch(%O a) d%O
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp91-92
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum34.input.pamphlet b/src/input/schaum34.input.pamphlet
new file mode 100644
index 0000000..1a5c359
--- /dev/null
+++ b/src/input/schaum34.input.pamphlet
@@ -0,0 +1,901 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum34.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.646~~~~~$\displaystyle
+\int{\sinh^{-1}\frac{x}{a}}~dx$}
+$$\int{\sinh^{-1}\frac{x}{a}}=
+x\sinh^{-1}\frac{x}{a}-\sqrt{x^2+a^2}
+$$
+<<*>>=
+)spool schaum34.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 32
+aa:=integrate(asinh(x/a),x)
+--R 
+--R
+--R                               +-------+
+--R           +-------+           | 2    2           +-------+
+--R           | 2    2     2     \|x  + a   + x      | 2    2     2    2
+--R        (x\|x  + a   - x )log(--------------) + x\|x  + a   - x  - a
+--R                                     a
+--R   (1)  -------------------------------------------------------------
+--R                                 +-------+
+--R                                 | 2    2
+--R                                \|x  + a   - x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.647~~~~~$\displaystyle
+\int{x\sinh^{-1}\frac{x}{a}}~dx$}
+$$\int{x\sinh^{-1}\frac{x}{a}}=
+\left(\frac{x^2}{2}+\frac{a^2}{4}\right)\sinh^{-1}\frac{x}{a}
+-\frac{x\sqrt{x^2+a^2}}{4}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 32
+aa:=integrate(x*asinh(x/a),x)
+--R 
+--R
+--R   (1)
+--R                                                       +-------+
+--R                     +-------+                         | 2    2
+--R           3     2   | 2    2      4     2 2    4     \|x  + a   + x
+--R       ((4x  + 2a x)\|x  + a   - 4x  - 4a x  - a )log(--------------)
+--R                                                             a
+--R     + 
+--R                   +-------+
+--R          3    2   | 2    2      4     2 2
+--R       (2x  + a x)\|x  + a   - 2x  - 2a x
+--R  /
+--R        +-------+
+--R        | 2    2      2     2
+--R     8x\|x  + a   - 8x  - 4a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.648~~~~~$\displaystyle
+\int{x^2\sinh^{-1}\frac{x}{a}}~dx$}
+$$\int{x^2\sinh^{-1}\frac{x}{a}}=
+\frac{x^3}{3}\sinh^{-1}\frac{x}{a}+\frac{(2a^2-x^2)\sqrt{x^2+a^2}}{9}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 32
+aa:=integrate(x^2*asinh(x/a),x)
+--R 
+--R
+--R   (1)
+--R                                                     +-------+
+--R                       +-------+                     | 2    2
+--R            5     2 3  | 2    2       6     2 4     \|x  + a   + x
+--R       ((12x  + 3a x )\|x  + a   - 12x  - 9a x )log(--------------)
+--R                                                           a
+--R     + 
+--R                            +-------+
+--R          5     2 3     4   | 2    2      6     2 4     4 2     6
+--R       (4x  - 5a x  - 6a x)\|x  + a   - 4x  + 3a x  + 9a x  + 2a
+--R  /
+--R                  +-------+
+--R         2     2  | 2    2       3      2
+--R     (36x  + 9a )\|x  + a   - 36x  - 27a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.649~~~~~$\displaystyle
+\int{\frac{\sinh^{-1}(x/a)}{x}}~dx$}
+$$\int{\frac{\sinh^{-1}(x/a)}{x}}=
+\left\{
+\begin{array}{lr}
+\displaystyle
+\frac{x}{a}-\frac{(x/a)^3}{2\cdot 3\cdot 3}
++\frac{1\cdot 3(x/a)^5}{2\cdot 4\cdot 5\cdot 5}
+-\frac{1\cdot 3\cdot 5(x/a)^7}{2\cdot 4\cdot 6\cdot 7\cdot 7}+\cdots&
+|x|<a\\
+\\
+\displaystyle
+\frac{\ln^2(2x/a)}{2}-\frac{(a/x)^2}{2\cdot 2\cdot 2}
++\frac{1\cdot 3(a/x)^4}{2\cdot 4\cdot 4\cdot 4}
+-\frac{1\cdot 3\cdot 5(a/x)^6}{2\cdot 4\cdot 6\cdot 6\cdot 6}+\cdots&
+x > a\\
+\\
+\displaystyle
+-\frac{\ln^2(-2x/a)}{2}+\frac{(a/x)^2}{2\cdot 2\cdot 2}
+-\frac{1\cdot 3(a/x)^4}{2\cdot 4\cdot 4\cdot 4}
++\frac{1\cdot 3\cdot 5(a/x)^6}{2\cdot 4\cdot 6\cdot 6\cdot 6}-\cdots&
+x<-a\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 4 of 32
+aa:=integrate(asinh(x/a)/x,x)
+--R 
+--R
+--I                   %P
+--R           x asinh(--)
+--R         ++         a
+--I   (1)   |   --------- d%P
+--I        ++       %P
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.650~~~~~$\displaystyle
+\int{\frac{\sinh^{-1}(x/a)}{x^2}}~dx$}
+$$\int{\frac{\sinh^{-1}(x/a)}{x^2}}=
+-\frac{\sinh^{-1}(x/a)}{x}
+-\frac{1}{a}\ln\left(\frac{a+\sqrt{x^2+a^2}}{x}\right)
+$$
+<<*>>=
+)clear all
+
+--S 5 of 32
+aa:=integrate(asinh(x/a)/x^2,x)
+--R 
+--R
+--R   (1)
+--R                +-------+                   +-------+
+--R                | 2    2                    | 2    2
+--R       - x log(\|x  + a   - x + a) + x log(\|x  + a   - x - a)
+--R     + 
+--R                +-------+
+--R                | 2    2
+--R               \|x  + a   + x
+--R       - a log(--------------)
+--R                      a
+--R  /
+--R     a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.651~~~~~$\displaystyle
+\int{\cosh^{-1}\frac{x}{a}}~dx$}
+$$\int{\cosh^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+x\cosh^{-1}(x/a)-\sqrt{x^2-a^2},\quad\cosh^{-1}\frac{x}{a} > 0\\
+\\
+\displaystyle
+x\cosh^{-1}(x/a)+\sqrt{x^2-a^2},\quad\cosh^{-1}\frac{x}{a} < 0\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 6 of 32
+aa:=integrate(acosh(x/a),x)
+--R 
+--R
+--R                               +-------+
+--R           +-------+           | 2    2           +-------+
+--R           | 2    2     2     \|x  - a   + x      | 2    2     2    2
+--R        (x\|x  - a   - x )log(--------------) + x\|x  - a   - x  + a
+--R                                     a
+--R   (1)  -------------------------------------------------------------
+--R                                 +-------+
+--R                                 | 2    2
+--R                                \|x  - a   - x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.652~~~~~$\displaystyle
+\int{x\cosh^{-1}\frac{x}{a}}~dx$}
+$$\int{x\cosh^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{1}{4}(2x^2-a^2)\cosh^{-1}(x/a)-\frac{1}{4}x\sqrt{x^2-a^2},
+\quad\cosh^{-1}(x/a)>0\\
+\\
+\displaystyle
+\frac{1}{4}(2x^2-a^2)\cosh^{-1}(x/a)+\frac{1}{4}x\sqrt{x^2-a^2},
+\quad\cosh^{-1}(x/a)<0\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 7 of 32
+aa:=integrate(x*acosh(x/a),x)
+--R 
+--R
+--R   (1)
+--R                                                       +-------+
+--R                     +-------+                         | 2    2
+--R           3     2   | 2    2      4     2 2    4     \|x  - a   + x
+--R       ((4x  - 2a x)\|x  - a   - 4x  + 4a x  - a )log(--------------)
+--R                                                             a
+--R     + 
+--R                   +-------+
+--R          3    2   | 2    2      4     2 2
+--R       (2x  - a x)\|x  - a   - 2x  + 2a x
+--R  /
+--R        +-------+
+--R        | 2    2      2     2
+--R     8x\|x  - a   - 8x  + 4a
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.653~~~~~$\displaystyle
+\int{x^2\cosh^{-1}\frac{x}{a}}~dx$}
+$$\int{x^2\cosh^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{1}{3}x^3\cosh^{-1}(x/a)-\frac{1}{9}(x^2+2a^2)\sqrt{x^2-a^2},
+\quad\cosh^{-1}(x/a)>0\\
+\\
+\displaystyle
+\frac{1}{3}x^3\cosh^{-1}(x/a)+\frac{1}{9}(x^2+2a^2)\sqrt{x^2-a^2},
+\quad\cosh^{-1}(x/a)<0\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 8 of 32
+aa:=integrate(x^2*acosh(x/a),x)
+--R 
+--R
+--R   (1)
+--R                                                     +-------+
+--R                       +-------+                     | 2    2
+--R            5     2 3  | 2    2       6     2 4     \|x  - a   + x
+--R       ((12x  - 3a x )\|x  - a   - 12x  + 9a x )log(--------------)
+--R                                                           a
+--R     + 
+--R                            +-------+
+--R          5     2 3     4   | 2    2      6     2 4     4 2     6
+--R       (4x  + 5a x  - 6a x)\|x  - a   - 4x  - 3a x  + 9a x  - 2a
+--R  /
+--R                  +-------+
+--R         2     2  | 2    2       3      2
+--R     (36x  - 9a )\|x  - a   - 36x  + 27a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.654~~~~~$\displaystyle
+\int{\frac{\cosh^{-1}(x/a)}{x}}~dx$}
+$$\int{\frac{\cosh^{-1}(x/a)}{x}}=
+\begin{array}{l}
+\displaystyle
+\pm\left[\frac{1}{2}\ln^2(2x/a)+\frac{(a/x)^2}{2\cdot 2\cdot 2}
++\frac{1\cdot 3(a/x)^4}{2\cdot 4\cdot 4\cdot 4}
++\frac{1\cdot 3\cdot 5(a/x)^6}{2\cdot 4\cdot 6\cdot 6\cdot 6}+\cdots\right]\\
+\\
+\displaystyle
+\hbox{\hskip 2cm}+{\rm if\ }\cosh^{-1}(x/a)>0,
+\quad -{\rm if\ }\cosh^{-1}(x/a)<0,
+\end{array}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 32
+aa:=integrate(acosh(x/a)/x,x)
+--R 
+--R
+--I                   %P
+--R           x acosh(--)
+--R         ++         a
+--I   (1)   |   --------- d%P
+--I        ++       %P
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.655~~~~~$\displaystyle
+\int{\frac{\cosh^{-1}(x/a)}{x^2}}~dx$}
+$$\int{\frac{\cosh^{-1}(x/a)}{x^2}}=
+\begin{array}{l}
+\displaystyle
+-\frac{\cosh^{-1}(x/a)}{x}
+\mp\frac{1}{a}\ln\left(\frac{a+\sqrt{x^2+a^2}}{x}\right)\\
+\\
+\displaystyle
+\hbox{\hskip 1cm}-{\rm if\ }\cosh^{-1}(x/a)>0,
+\quad +{\rm if\ }\cosh^{-1}(x/a)<0,
+\end{array}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 32
+aa:=integrate(acosh(x/a)/x^2,x)
+--R 
+--R
+--R                 +-------+                 +-------+
+--R                 | 2    2                  | 2    2
+--R                \|x  - a   + x            \|x  - a   - x
+--R        - a log(--------------) + 2x atan(--------------)
+--R                       a                         a
+--R   (1)  -------------------------------------------------
+--R                               a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.656~~~~~$\displaystyle
+\int{\tanh^{-1}\frac{x}{a}}~dx$}
+$$\int{\tanh^{-1}\frac{x}{a}}=
+x\tanh^{-1}\frac{x}{a}+\frac{a}{2}\ln(a^2-x^2)
+$$
+<<*>>=
+)clear all
+
+--S 11 of 32
+aa:=integrate(atanh(x/a),x)
+--R 
+--R
+--R               2    2          - x - a
+--R        a log(x  - a ) + x log(-------)
+--R                                x - a
+--R   (1)  -------------------------------
+--R                       2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.657~~~~~$\displaystyle
+\int{x*\tanh^{-1}\frac{x}{a}}~dx$}
+$$\int{x*\tanh^{-1}\frac{x}{a}}=
+\frac{ax}{2}+\frac{1}{2}(x^2-a^2)\tanh^{-1}\frac{x}{a}
+$$
+<<*>>=
+)clear all
+
+--S 12 of 32
+aa:=integrate(x*atanh(x/a),x)
+--R 
+--R
+--R          2    2     - x - a
+--R        (x  - a )log(-------) + 2a x
+--R                      x - a
+--R   (1)  ----------------------------
+--R                      4
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.658~~~~~$\displaystyle
+\int{x^2\tanh^{-1}\frac{x}{a}}~dx$}
+$$\int{x^2\tanh^{-1}\frac{x}{a}}=
+\frac{ax^2}{6}+\frac{x^3}{3}\tanh^{-1}\frac{x}{a}
++\frac{a^3}{6}\ln(a^2-x^2)
+$$
+<<*>>=
+)clear all
+
+--S 13 of 32
+aa:=integrate(x^2*atanh(x/a),x)
+--R 
+--R
+--R         3     2    2     3    - x - a       2
+--R        a log(x  - a ) + x log(-------) + a x
+--R                                x - a
+--R   (1)  --------------------------------------
+--R                           6
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.659~~~~~$\displaystyle
+\int{\frac{\tanh^{-1}(x/a)}{a}}~dx$}
+$$\int{\frac{\tanh^{-1}(x/a)}{a}}=
+\frac{x}{a}+\frac{(x/a)^3}{3^2}+\frac{(x/a)^5}{5^2}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 14 of 32
+aa:=integrate(atanh(x/a)/x,x)
+--R 
+--R
+--I                   %P
+--R           x atanh(--)
+--R         ++         a
+--I   (1)   |   --------- d%P
+--I        ++       %P
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.660~~~~~$\displaystyle
+\int{\frac{tanh^{-1}(x/a)}{x^2}}~dx$}
+$$\int{\frac{tanh^{-1}(x/a)}{x^2}}=
+-\frac{\tanh^{-1}(x/a)}{x}+\frac{1}{2a}\ln\left(\frac{x^2}{a^2-x^2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 15 of 32
+aa:=integrate(atanh(x/a)/x^2,x)
+--R 
+--R
+--R                 2    2                      - x - a
+--R        - x log(x  - a ) + 2x log(x) - a log(-------)
+--R                                              x - a
+--R   (1)  ---------------------------------------------
+--R                             2a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.661~~~~~$\displaystyle
+\int{\coth^{-1}\frac{x}{a}}~dx$}
+$$\int{\coth^{-1}\frac{x}{a}}=
+x\coth^{-1}{x}+\frac{a}{2}\ln(x^2-a^2)
+$$
+<<*>>=
+)clear all
+
+--S 16 of 32
+aa:=integrate(acoth(x/a),x)
+--R 
+--R
+--R               2    2          x + a
+--R        a log(x  - a ) + x log(-----)
+--R                               x - a
+--R   (1)  -----------------------------
+--R                      2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.662~~~~~$\displaystyle
+\int{x\coth^{-1}\frac{x}{a}}~dx$}
+$$\int{x\coth^{-1}\frac{x}{a}}=
+\frac{ax}{2}+\frac{1}{2}(x^2-a^2)\coth^{-1}\frac{x}{a}
+$$
+<<*>>=
+)clear all
+
+--S 17 of 32
+aa:=integrate(x*acoth(x/a),x)
+--R 
+--R
+--R          2    2     x + a
+--R        (x  - a )log(-----) + 2a x
+--R                     x - a
+--R   (1)  --------------------------
+--R                     4
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.663~~~~~$\displaystyle
+\int{x^2\coth^{-1}\frac{x}{a}}~dx$}
+$$\int{x^2\coth^{-1}\frac{x}{a}}=
+\frac{ax^2}{6}+\frac{x^3}{3}\coth^{-1}\frac{x}{a}
++\frac{a^3}{6}\ln(x^2-a^2)
+$$
+<<*>>=
+)clear all
+
+--S 18 of 32
+aa:=integrate(x^2*acoth(x/a),x)
+--R 
+--R
+--R         3     2    2     3    x + a       2
+--R        a log(x  - a ) + x log(-----) + a x
+--R                               x - a
+--R   (1)  ------------------------------------
+--R                          6
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.664~~~~~$\displaystyle
+\int{\frac{\coth^{-1}(x/a)}{x}}~dx$}
+$$\int{\frac{\coth^{-1}(x/a)}{x}}=
+-\left(\frac{a}{x}+\frac{(a/x)^3}{3^2}+\frac{(a/x)^5}{5^2}+\cdots\right)
+$$
+<<*>>=
+)clear all
+
+--S 19 of 32
+aa:=integrate(acoth(x/a)/x,x)
+--R 
+--R
+--I                   %P
+--R           x acoth(--)
+--R         ++         a
+--I   (1)   |   --------- d%P
+--I        ++       %P
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.665~~~~~$\displaystyle
+\int{\frac{\coth^{-1}(x/a)}{x^2}}~dx$}
+$$\int{\frac{\coth^{-1}(x/a)}{x^2}}=
+-\frac{\coth^{-1}(x/a)}{x}+\frac{1}{2a}\ln\left(\frac{x^2}{x^2-a^2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 20 of 32
+aa:=integrate(acoth(x/a)/x^2,x)
+--R 
+--R
+--R                 2    2                      x + a
+--R        - x log(x  - a ) + 2x log(x) - a log(-----)
+--R                                             x - a
+--R   (1)  -------------------------------------------
+--R                            2a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.666~~~~~$\displaystyle
+\int{{\rm sech}^{-1}\frac{x}{a}}~dx$}
+$$\int{{\rm sech}^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+x{\rm ~sech}^{-1}(x/a)+a\sin^{-1}(x/a),\quad{\rm sech}^{-1}(x/a)>0\\
+\\
+\displaystyle
+x{\rm ~sech}^{-1}(x/a)-a\sin^{-1}(x/a),\quad{\rm sech}^{-1}(x/a)<0\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 21 of 32
+aa:=integrate(asech(x/a),x)
+--R 
+--R
+--R               +---------+                 +---------+
+--R               |   2    2                  |   2    2
+--R              \|- x  + a   + a            \|- x  + a   - a
+--R   (1)  x log(----------------) - 2a atan(----------------)
+--R                      x                           x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.667~~~~~$\displaystyle
+\int{x{\rm ~sech}^{-1}\frac{x}{a}}~dx$}
+$$\int{x{\rm ~sech}^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{1}{2}x^2{\rm ~sech}^{-1}(x/a)-\frac{1}{2}a\sqrt{a^2-x^2},
+\quad{\rm sech}^{-1}(x/a)>0\\
+\\
+\displaystyle
+\frac{1}{2}x^2{\rm ~sech}^{-1}(x/a)+\frac{1}{2}a\sqrt{a^2-x^2},
+\quad{\rm sech}^{-1}(x/a)<0\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 22 of 32
+aa:=integrate(x*asech(x/a),x)
+--R 
+--R
+--R                                    +---------+
+--R            +---------+             |   2    2
+--R          2 |   2    2       2     \|- x  + a   + a       2
+--R        (x \|- x  + a   - a x )log(----------------) + a x
+--R                                           x
+--R   (1)  ---------------------------------------------------
+--R                           +---------+
+--R                           |   2    2
+--R                         2\|- x  + a   - 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.668~~~~~$\displaystyle
+\int{\frac{{\rm sech}^{-1}(x/a)}{x}}~dx$}
+$$\int{\frac{{\rm sech}^{-1}(x/a)}{x}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+-\frac{1}{2}\ln(a/x)\ln(4a/x)-\frac{(x/a)^2}{2\cdot 2\cdot 2}
+-\frac{1\cdot 3(x/a)^4}{2\cdot 4\cdot 4\cdot 4}
+-\cdots,\quad{\rm sech}^{-1}(x/a)>0\\
+\\
+\displaystyle
+\frac{1}{2}\ln(a/x)\ln(4a/x)+\frac{(x/a)^2}{2\cdot 2\cdot 2}
++\frac{1\cdot 3(x/a)^4}{2\cdot 4\cdot 4\cdot 4}
++\cdots,\quad{\rm sech}^{-1}(x/a)<0\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 23 of 32
+aa:=integrate(asech(x/a)/x,x)
+--R 
+--R
+--R                           +---------+     2
+--R           +---------+     |   2    2
+--R           |   2    2     \|- x  + a   + a
+--R          \|- x  + a  log(----------------)
+--R                                  x
+--R   (1)  - ----------------------------------
+--R                          2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.669~~~~~$\displaystyle
+\int{{\rm csch}^{-1}\frac{x}{a}}~dx$}
+$$\int{{\rm csch}^{-1}\frac{x}{a}}=
+x{\rm ~csch}^{-1}\frac{x}{a}\pm a\sinh^{-1}\frac{x}{a}
+\quad +{\rm if\ }x>0, -{\rm if\ }x<0
+$$
+<<*>>=
+)clear all
+
+--S 24 of 32
+aa:=integrate(acsch(x/a),x)
+--R 
+--R
+--R                                         +-------+
+--R                 +-------+               | 2    2
+--R                 | 2    2               \|x  + a   + a
+--R   (1)  - a log(\|x  + a   - x) + x log(--------------)
+--R                                               x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.670~~~~~$\displaystyle
+\int{x{\rm ~csch}^{-1}\frac{x}{a}}~dx$}
+$$\int{x{\rm ~csch}^{-1}\frac{x}{a}}=
+\frac{x^2}{2}{\rm ~csch}^{-1}\frac{x}{a}\pm \frac{a\sqrt{x^2+a^2}}{2}
+\quad +{\rm if\ }x>0, -{\rm if\ }x<0
+$$
+<<*>>=
+)clear all
+
+--S 25 of 32
+aa:=integrate(x*acsch(x/a),x)
+--R 
+--R
+--R                                +-------+
+--R            +-------+           | 2    2             +-------+
+--R          2 | 2    2     3     \|x  + a   + a        | 2    2       2    3
+--R        (x \|x  + a   - x )log(--------------) - a x\|x  + a   + a x  + a
+--R                                      x
+--R   (1)  ------------------------------------------------------------------
+--R                                   +-------+
+--R                                   | 2    2
+--R                                 2\|x  + a   - 2x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.671~~~~~$\displaystyle
+\int{\frac{{\rm csch}^{-1}(x/a)}{x}}~dx$}
+$$\int{\frac{{\rm csch}^{-1}(x/a)}{x}}=
+\left\{
+\begin{array}{lr}
+\displaystyle
+\frac{1}{2}\ln(x/a)\ln(4a/x)+\frac{1(x/a)^2}{2\cdot 2\cdot 2}
+-\frac{1\cdot 3(x/a)^4}{2\cdot 4\cdot 4\cdot 4}+\cdots&
+0<x<a\\
+\\
+\displaystyle
+\frac{1}{2}\ln(-x/a)\ln(-x/4a)-\frac{(x/a)^2}{2\cdot 2\cdot 2}
++\frac{1\cdot 3(x/a)^4}{2\cdot 4\cdot 4\cdot 4}-\cdots&
+-a<x<0\\
+\\
+\displaystyle
+-\frac{a}{x}+\frac{(a/x)^3}{2\cdot 3\cdot 3}
+-\frac{1\cdot 3(a/x)^5}{2\cdot 4\cdot 5\cdot 5}+\cdots&
+|x|>a
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 26 of 32
+aa:=integrate(acsch(x/a)/x,x)
+--R 
+--R
+--R                         +-------+     2
+--R           +-------+     | 2    2
+--R           | 2    2     \|x  + a   + a
+--R          \|x  + a  log(--------------)
+--R                               x
+--R   (1)  - ------------------------------
+--R                        2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.672~~~~~$\displaystyle
+\int{x^m\sinh^{-1}\frac{x}{a}}~dx$}
+$$\int{x^m\sinh^{-1}\frac{x}{a}}=
+\frac{x^{m+1}}{m+1}\sinh^{-1}\frac{x}{a}
+-\frac{1}{m+1}\int{\frac{x^{m+1}}{\sqrt{x^2+a^2}}}
+$$
+<<*>>=
+)clear all
+
+--S 27 of 32
+aa:=integrate(x^m*asinh(x/a),x)
+--R 
+--R
+--R           x
+--I         ++        %P   m
+--I   (1)   |   asinh(--)%P d%P
+--R        ++          a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.673~~~~~$\displaystyle
+\int{x^m\cosh^{-1}\frac{x}{a}}~dx$}
+$$\int{x^m\cosh^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{lr}
+\displaystyle
+\frac{x^{m+1}}{m+1}\cosh^{-1}\frac{x}{a}
+-\frac{1}{m+1}\int{\frac{x^{m+1}}{\sqrt{x^2-a^2}}},&
+\quad\cosh^{-1}(x/a)>0\\
+\\
+\displaystyle
+\frac{x^{m+1}}{m+1}\cosh^{-1}\frac{x}{a}
++\frac{1}{m+1}\int{\frac{x^{m+1}}{\sqrt{x^2-a^2}}},&
+\quad\cosh^{-1}(x/a)<0\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 28 of 32
+aa:=integrate(x^m*acosh(x/a),x)
+--R 
+--R
+--R           x
+--I         ++        %P   m
+--I   (1)   |   acosh(--)%P d%P
+--R        ++          a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.674~~~~~$\displaystyle
+\int{x^m\tanh^{-1}\frac{x}{a}}~dx$}
+$$\int{x^m\tanh^{-1}\frac{x}{a}}=
+\frac{x^{m+1}}{m+1}\tanh^{-1}\frac{x}{a}
+-\frac{a}{m+1}\int{\frac{x^{m+1}}{a^2-x^2}}
+$$
+<<*>>=
+)clear all
+
+--S 29 of 32
+aa:=integrate(x^m*atanh(x/a),x)
+--R 
+--R
+--R           x
+--I         ++        %P   m
+--I   (1)   |   atanh(--)%P d%P
+--R        ++          a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.675~~~~~$\displaystyle
+\int{x^m\coth^{-1}\frac{x}{a}}~dx$}
+$$\int{x^m\coth^{-1}\frac{x}{a}}=
+\frac{x^{m+1}}{m+1}\coth^{-1}\frac{x}{a}
+-\frac{a}{m+1}\int{\frac{x^{m+1}}{a^2-x^2}}
+$$
+<<*>>=
+)clear all
+
+--S 30 of 32
+aa:=integrate(x^m*acoth(x/a),x)
+--R 
+--R
+--R           x
+--I         ++        %P   m
+--I   (1)   |   acoth(--)%P d%P
+--R        ++          a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.676~~~~~$\displaystyle
+\int{x^m{\rm ~sech}^{-1}\frac{x}{a}}~dx$}
+$$\int{x^m{\rm ~sech}^{-1}\frac{x}{a}}=
+\left\{
+\begin{array}{lr}
+\displaystyle
+\frac{x^{m+1}}{m+1}{\rm ~sech}^{-1}\frac{x}{a}
++\frac{a}{m+1}\int{\frac{x^m}{\sqrt{a^2-x^2}}}&
+{\rm sech}^{-1}(x/a)>0\\
+\\
+\displaystyle
+\frac{x^{m+1}}{m+1}{\rm ~sech}^{-1}\frac{x}{a}
+-\frac{a}{m+1}\int{\frac{x^m}{\sqrt{a^2-x^2}}}&
+{\rm sech}^{-1}(x/a)<0\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 31 of 32
+aa:=integrate(x^m*asech(x/a),x)
+--R 
+--R
+--R           x
+--I         ++        %P   m
+--I   (1)   |   asech(--)%P d%P
+--R        ++          a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.677~~~~~$\displaystyle
+\int{x^m{\rm ~csch}^{-1}\frac{x}{a}}~dx$}
+$$\int{x^m{\rm ~csch}^{-1}\frac{x}{a}}=
+\frac{x^{m+1}}{m+1}{\rm ~csch}^{-1}\frac{x}{a}
+\pm\frac{a}{m+1}\int{\frac{x^m}{\sqrt{x^2+a^2}}}
+\quad+{\rm if\ }x>0
+~-{\rm if\ }x<0
+$$
+<<*>>=
+)clear all
+
+--S 32 of 32
+aa:=integrate(x^m*acsch(x/a),x)
+--R 
+--R
+--R           x
+--I         ++        %P   m
+--I   (1)   |   acsch(--)%P d%P
+--R        ++          a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp92-93
+\end{thebibliography}
+\end{document}
